Skip to main content
GET
Fetch a Specific Payment Method

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

payment_method
string
required

The id or the vid of the Payment Method to retrieve. A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.

Maximum string length: 128

Response

JSON - A full Payment Method object with Payment Method Type subobject detail.

object
enum<string>

Value is "PaymentMethod".

Available options:
PaymentMethod
id
string

A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.

Maximum string length: 128
vid
string

A Globally Unique Identifier (GUID) for this object. This value is generated by Vindicia.

Maximum string length: 128
created
string<datetime>

The date/time the object was created.

type
enum<string>
Available options:
Amazon,
ApplePay,
Boleto,
CarrierBilling,
CreditCard,
DirectDebit,
ECP,
GooglePay,
ExternalBilling,
HostedPage,
MerchantAcceptedPayment,
MilitaryStar,
PayPal,
Skrill,
Token,
Venmo
credit_card
object

This object defines an instance of a specific Credit Card.

ecp
object

This object defines ACH (aka ECP) details.

direct_debit
object

This object defines Direct Debit details (vary by country/system)

paypal
object

This object defines PayPal Express Checkout account details.

amazon
object

This object defines Amazon Payments account details.

skrill
object

This object defines Skrill digital wallet details.

boleto
object

This object defines Boleto Bancario details. Note:- fiscalNumber is associated with a customer, not a payment method, and is analogous to a U.S. social security number. Treat fiscalNumber as Personally Identifiable Information (PII).

hosted_page
object

This object defines Externally Hosted Payment Page details.

token
object

The token object provides a way to offer virtual currencies or track the balance of a consumable service item.

merchant_accepted_payment
object

This object defines Pay By Invoice details.

carrier_billing
object

This object defines Telco carrier billing details.

external_billing
object
apple_pay
object

This object defines Apple Pay details.

google_pay
object

This object defines Google Pay details.

military_star
object

This object defines Military Star details.

venmo
object

This object defines Venmo details

metadata
object

Metadata are sets of key-value pairs and are useful for storing additional, structured information on an object. This object is used to store a list of keys, which you create and associate with text string values. You use these key-value pairs to store custom data for your own internal tracking purposes, or to store CashBox specific data for defined CashBox purposes.

The metadata field supports key-value pairs with the following limitations:

Keys can be up to 256 characters

Keys can be any string that is needed, except only CashBox can prefix keys with vin:

Values can be up to 1024 characters

In some cases metadata from one object will be inherited automatically from one object to another that is spawned from it. e.g. metadata on a Subscription and SubscriptionItem will be inherited by all Transactions and TransactionItems that result from them.

account_holder
string

Name of the account holder.

billing_address
object

The Address object represents a physical or mailing address.

customer_specified_type
string

Optional CSP- or customer-specified type description.

customer_description
string

Optional CSP- or customer-specified card (method) description.

currency
string

The ISO 4217 Currency Code.

primary
boolean

Primary/default payment method for the account.

active
boolean

Active and available for use.

validation_status
object
external_token
string

Token value identifying a tokenized payment method used. Relevant for different payment methods such as tokenized credit cards or Venmo.

policy
object

The policy object governing Payment Method behavior.

policy: enable_3ds
boolean

Enable the 3DS payment standard for strong customer authentication. A merchant configuration serves as a higher level indication whether 3DS is used by the merchant. When available for use, you can enable the 3DS flow per subscription, transaction, or payment method.

policy: min_chargeback_probability
integer

If Chargeback Probability from risk scoring is greater than this, the transaction will fail. Default is 100.

policy: ignore_cvn_policy
boolean

Indicates whether to evaluate any custom or default CVN (card security code) policy.

policy: ignore_avs_policy
boolean

Indicates whether to evaluate any custom or default AVS (card Address Verification Service) policy.

policy: validate
boolean

Enable to validate the PaymentMethod object first before creating or updating. If validation fails, the PaymentMethod is not updated.

policy: source_ip
string

The customer IP address from which the customer specified details for this payment method. It must be specified if you want Subscribe to evaluate risk score for this payment method.

linked_subscription
boolean

Indicates whether the payment method is used in a subscription. if true, the payment method is used by a subscription. Note: The Subscribe Merchant Portal 2.0 does not allow you to remove a Payment Method from an account if there are subscriptions using that Payment Method.